Bug 17284 - Patron details page ( moremember.pl ) show logged in library as patron's home library
Summary: Patron details page ( moremember.pl ) show logged in library as patron's home...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-09 15:25 UTC by Kyle M Hall
Modified: 2017-12-07 22:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17284 - Patron details page ( moremember.pl ) show logged in library as patron's home library (2.69 KB, patch)
2016-09-09 15:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17284 - Patron details page ( moremember.pl ) show logged in library as patron's home library (2.79 KB, patch)
2016-09-09 15:46 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 17284 - Patron details page ( moremember.pl ) show logged in library as patron's home library (2.81 KB, patch)
2016-09-10 08:27 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-09-09 15:25:05 UTC
The patron details page always show the logged in library as the patron's home library instead of the true home library. This bug is particular to moremember.pl and does not affect other patron pages.
Comment 1 Kyle M Hall 2016-09-09 15:27:11 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-09-09 15:46:22 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-09-10 08:24:52 UTC
This is about the library shown on the left side of the screen above the tabs!
Comment 4 Katrin Fischer 2016-09-10 08:27:01 UTC
Created attachment 55462 [details] [review]
[PASSED QA] Bug 17284 - Patron details page ( moremember.pl ) show logged in library as patron's home library

The patron details page always show the logged in library as the
patron's home library instead of the true home library. This bug is
particular to moremember.pl and does not affect other patron pages.

Test Plan:
1) Find a patron with a home library other than the logged in library
2) Note the patron home library as shown on moremember.pl matches
   the logged in library and not the patron's true home library
3) Apply this patch
4) Reload moremember.pl, the correct home library should display!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 5 Kyle M Hall 2016-09-12 10:04:07 UTC
Pushed to master for 16.11!